﻿@model PagedList<DomainModels.Entities.Access.ValidIp>


@{
    ViewBag.Title = "لیست آی پی های مجاز";
}


@Html.Partial("~/Areas/Admin/Views/Partial/_ShowMessage.cshtml")

<div class="row">
	<div class="col-lg-12">
		<table id="miyazaki" class="tbl-grid" style="width: 100%;">
			<thead>
				<tr>
					<th>
						از
					</th>
					<th>
						تا
					</th>
                    <th>
                        @Html.DisplayNameFor(model => model.Data.First().CreatedOn)
                    </th>
                    <th>
                        @Html.DisplayNameFor(model => model.Data.First().UpdatedOn)
                    </th>
					<th></th>
				</tr>
			</thead>
			<tbody>
			@foreach (var item in Model.Data) {
				<tr>
					<td>
						@Html.DisplayFor(modelItem => item.StartScope1).@Html.DisplayFor(modelItem => item.StartScope2).@Html.DisplayFor(modelItem => item.StartScope3).@Html.DisplayFor(modelItem => item.StartScope4)
					</td>
					<td>
						@Html.DisplayFor(modelItem => item.EndScope1).@Html.DisplayFor(modelItem => item.EndScope2).@Html.DisplayFor(modelItem => item.EndScope3).@Html.DisplayFor(modelItem => item.EndScope4)
					</td>
                    <td>
                        @Html.ShowDateTime(item.CreatedOn, ShamsiDateFormatType.ToPersianWithTime)
                    </td>
                    <td>
                        @Html.ShowDateTime(item.UpdatedOn, ShamsiDateFormatType.ToPersianWithTime)
                    </td>
					<td>
						@Html.ActionLink("ویرایش", "Edit", new { id=item.Id }, new { @class="btn btn-info" })
						@Html.ActionLink("حذف", "Delete", new { id=item.Id }, new { @class="btn btn-danger" })
					</td>
				</tr>
			}
			</tbody>
		</table>

		@Html.ShowEmptyLabel(Model.Data)
        @Html.ShowPagerDescription(Model)
        @Html.ShowPager(Model, Url.Action("Index"))
			
	</div>
</div>
